We would like to express our gratitude to the open-source community and the
following projects for their contributions, support, and resources that have
made a2d possible:

- **Python**: The Python programming language has served as the backbone of our
  project, providing a powerful and versatile platform for development.
  - Website: [https://www.python.org/](https://www.python.org/)

- **Bootstrap**: Bootstrap has been an integral part of our UI design, enabling
  seamless and responsive HTML and JS components. We use Bootstrap for light and
  dark mode switching for the UI.
  - Website: [https://getbootstrap.com/](https://getbootstrap.com/)

- **Cryptography**: The Cryptography library has played a crucial role in
  ensuring the secure handling and encryption of sensitive data within our
  project.

- **Requests**: The Requests library has greatly simplified the process of
  making HTTP requests and interacting with external APIs, enhancing the
  functionality of our project.

- **Gunicorn**: We are grateful to Gunicorn for providing an efficient and
  reliable WSGI server that powers our Flask web app.
  - Website: [https://gunicorn.org/](https://gunicorn.org/)

- **Flask**: Flask has been the foundation of our web app, allowing us to create
  a user-friendly and feature-rich interface for a2d.
  - Website:
    [https://flask.palletsprojects.com/](https://flask.palletsprojects.com/)

- **Python3-crontab**: Python3-crontab has been instrumental in managing our
  cron jobs, ensuring timely and efficient execution of scheduled tasks.
  - Website:
    [https://pypi.org/project/python-crontab/](https://pypi.org/project/python-crontab/)

- **Nginx**: Our project benefits from the powerful and efficient web server
  capabilities provided by Nginx. We are grateful to the Nginx community for
  developing and maintaining this essential software.
  - Website: [https://www.nginx.com/](https://www.nginx.com/)

- **Certbot (Let's Encrypt)**: The integration of SSL certificate management
  into our project has been made possible by Certbot, an integral part of Let's
  Encrypt. We extend our thanks to the Certbot team and Let's Encrypt for
  simplifying and securing the SSL certificate process.
  - Website: [https://certbot.eff.org/](https://certbot.eff.org/)
  - Website: [https://letsencrypt.org/](https://letsencrypt.org/)

- **python3-psutil**: Monitoring and managing system resources is critical for
  our project, and python3-psutil has been an indispensable tool for this
  purpose. We would like to thank the python3-psutil developers for their
  excellent work in creating this Python library.

- **Google Icons**: We acknowledge the use of Google Icons (icon sets), which
  have been utilized to enhance the visual elements of our project. These icons
  contribute to the overall user experience and user interface design.
  - Website: [https://fonts.google.com/icons](https://fonts.google.com/icons)

We would also like to extend our appreciation to the following organizations for
their APIs and continuous support for the ham radio community:

- **hampager.de**: We are grateful for the hampager.de API, which has enabled
  seamless integration with the DAPNET, and for their continued support of the
  ham radio community.
  - Website: [https://hampager.de/](https://hampager.de/)

- **aprs.fi**: We would like to thank aprs.fi for their API, which has provided
  valuable APRS data and resources, and for their ongoing commitment to
  supporting the ham radio community.
  - Website: [https://aprs.fi/](https://aprs.fi/)

We appreciate the support and contributions from the open-source community, as
well as hampager.de and aprs.fi. Their work has significantly contributed to the
development and success of a2d.

If we have inadvertently missed acknowledging someone's contribution, please
accept our apologies, and kindly inform us so that we can rectify the oversight.

Thank you to all the projects, organizations, and the open-source community for
their valuable contributions to a2d.